summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Andrzej Telszewski2018-04-27 15:34:21 +0200
committer Willy Sudiarto Raharjo2018-04-28 01:40:13 +0200
commitaf03a5f0efa0faf8ec8dfd0ac4004e947c319b59 (patch)
treefd9c419085c7bfe43c7201df03227c6c306d566a /development
parent91708a5ee5c6b8d7d4065b5721de1c9b08d4adfb (diff)
downloadslackbuilds-af03a5f0efa0faf8ec8dfd0ac4004e947c319b59.tar.gz
development/qt-creator: Updated for version 4.6.0 + new maintainer.
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/qt-creator/README64
-rw-r--r--development/qt-creator/qt-creator.SlackBuild96
-rw-r--r--development/qt-creator/qt-creator.info16
-rw-r--r--development/qt-creator/qt-creator.xml11
-rw-r--r--development/qt-creator/slack-desc12
5 files changed, 79 insertions, 120 deletions
diff --git a/development/qt-creator/README b/development/qt-creator/README
index c3bafed6fa..273833895b 100644
--- a/development/qt-creator/README
+++ b/development/qt-creator/README
@@ -1,35 +1,35 @@
-Qt Creator is a Cross-Platform Qt IDE.
+Qt Creator is a cross-platform IDE (Integrated Development Environment)
+tailored to the needs of Qt developers, but is also perfectly usable
+for non-Qt C/C++ projects. Qt Creator focuses on providing features
+that help new Qt users get up and running faster, and also boost the
+productivity of experienced Qt developers.
-The goal of Qt Creator is to provide a cross-platform,
-complete Integrated Development Environment (IDE) to develop
-Qt projects.
+Feature highlights include:
+- advanced code editor,
+- visual debugger,
+- GUI designers.
NOTES:
-1 - This package conflicts with qt-creator2: install
- only one of the two.
-
-2 - This version of Qt Creator is advised for Qt5.
-
-3 - Before start building/editing your application, you
- should configure the Qt kits (both Qt4 and Qt5).
-
-4 - QmlDesigner will work properly only if you configure the
- Qt5 Kit properly (Tools->Options->Build & Run->Kits) and
- make it the Default Kit.
-
-5 - An old IDE configuration in user home directory
- (.config/QtProject*) also can lead to strange behavior.
-
-6 - Examples, Qt5 docs and tutorials are not part of this
- package (except for Qt Creator Docs itself).
- To build Qt5 with documentations and examples do as
- follow:
- EXAMPLES=yes DOCS=yes ./qt5.SlackBuild
-
-7 - Clang Code Model requires a newer LLVM version compared
- to the official Slackware package. This SlackBuild can
- build the required LLVM version and ship this plugin.
- Note that the default option is disabled and enabling
- Code Model option will significantly increase the build
- time. To build Code Model plugin do as follow:
- CODE_MODEL=yes ./qt-creator.SlackBuild
+1. This package conflicts with qt-creator2:
+ install only one of the two.
+
+2. This version of Qt Creator is advised for Qt5.
+
+3. Before building/editing your application, you should configure
+ the Qt Kits (Tools -> Options -> Build & Run -> Kits).
+
+4. QmlDesigner will work properly only if you configure the Qt5 Kit
+ properly and make it the Default Kit.
+
+5. An old IDE configuration in user home directory
+ (~/.config/QtProject*) can lead to strange behavior.
+
+6. Some functionality of Qt Creator, like Clang Code Model or Clang
+ Static Analyzer, depends on the qt-creator-llvm package. To enable
+ these additional features, build and install qt-creator-llvm package
+ and then build the Qt Creator package like that:
+
+ $ USE_LLVM=yes ./qt-creator.SlackBuild
+
+ Note: CODE_MODEL=yes option is synonym for USE_LLVM=yes and is kept
+ for backward compatibility and will be removed for Slackware 15.0.
diff --git a/development/qt-creator/qt-creator.SlackBuild b/development/qt-creator/qt-creator.SlackBuild
index 8144f01625..59a0916d1b 100644
--- a/development/qt-creator/qt-creator.SlackBuild
+++ b/development/qt-creator/qt-creator.SlackBuild
@@ -1,8 +1,9 @@
#!/bin/sh
-# Slackware build script for qt-creator
+# Slackware build script for Qt Creator
# Copyright 2016 Andre Barboza, Belo Horizonte - Brazil
+# Copyright 2018 Andrzej Telszewski, Szczecin
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -11,33 +12,26 @@
# 1. Redistributions of this script must retain the above copyright
# notice, this list of conditions and the following disclaimer.
#
-# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
-# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
-# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
-# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
-# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
-# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
-# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
-# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
-# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-# Updated by Andre Barboza <bmg.andre@gmail.com>
-# Code Model updates by Andrzej Telszewski <atelszewski@gmail.com>
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
# For building -rc or -beta releases, set VERSION to something like:
# VERSION=4.2.0_rc1 or VERSION=4.2.0_beta1 (note the underscore).
PRGNAM=qt-creator
-VERSION=${VERSION:-4.3.1}
+VERSION=${VERSION:-4.6.0}
SRCVER=$(echo $VERSION | tr _ -)
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CODE_MODEL=${CODE_MODEL:-no}
-LLVM_VERSION=${LLVM_VERSION:-3.9.1}
-CLANG_VERSION=${CLANG_VERSION:-3.9.1}
-
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i586 ;;
@@ -71,17 +65,9 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$SRCVER
-tar xvf $CWD/$PRGNAM-$SRCVER.tar.gz
+tar xvf $CWD/$PRGNAM-opensource-src-$SRCVER.tar.gz
+mv $PRGNAM-opensource-src-$SRCVER $PRGNAM-$SRCVER
cd $PRGNAM-$SRCVER
-
-# Unpack LLVM if code model is required
-if [ "${CODE_MODEL}" == "yes" ]; then
- tar xvf $CWD/llvm-$LLVM_VERSION.src.tar.xz
- mv llvm-$LLVM_VERSION.src llvm-src
- tar xvf $CWD/cfe-$CLANG_VERSION.src.tar.xz -C llvm-src/tools
- mv llvm-src/tools/cfe-$CLANG_VERSION.src llvm-src/tools/clang
-fi
-
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
@@ -89,59 +75,35 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-# LLVM/Clang is used by QTC's Clang Code Model and Clang Static Analyzer.
-if [ "${CODE_MODEL}" == "yes" ]; then
- # LLVM/Clang temporary (QTC build-time) install directory.
- LLVM_INSTALL_ROOT=$(pwd)/llvm-install-root
-
- # Build and temporarily install LLVM/Clang.
- mkdir llvm-src/build
- cd llvm-src/build
- cmake \
- -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
- -DCMAKE_INSTALL_PREFIX=$LLVM_INSTALL_ROOT \
- -DCMAKE_BUILD_TYPE=Release \
- -G "Unix Makefiles" \
- -DLLVM_ENABLE_RTTI=ON \
- -DLLVM_TARGETS_TO_BUILD="X86" \
- ..
- make
- make install
- cd -
-fi
-
-# Adjust QTC docs location.
+# Adjust docs location.
sed -i "s|share/doc/qtcreator|doc/$PRGNAM-$VERSION|g" qtcreator.pri
sed -i "s|share/doc/qtcreator|doc/$PRGNAM-$VERSION|g" doc/api/qtcreator-documentation.qdoc
sed -i "s|share/doc/qtcreator|doc/$PRGNAM-$VERSION|g" src/plugins/coreplugin/icore.cpp
+# LLVM/Clang can be used to extend Qt Creator functionality.
+if [ "${USE_LLVM:-no}" = yes -o "${CODE_MODEL:-no}" = "yes" ]; then
+ LLVM_INSTALL_ROOT=/usr/libexec/qtcreator/clang
+
+ if [ ! -x $LLVM_INSTALL_ROOT/bin/clang ]; then
+ echo "error: You must install \"qt-creator-llvm\" package in order to"
+ echo "error: use LLVM/Clang tools integration."
+ exit 1
+ fi
+fi
+
qmake-qt5 qtcreator.pro \
QMAKE_CXXFLAGS="$SLKCFLAGS" \
- DEFINES+=QBS_ENABLE_PROJECT_FILE_UPDATES \
QTC_PREFIX=/usr \
IDE_LIBRARY_BASENAME=lib$LIBDIRSUFFIX \
LLVM_INSTALL_DIR=$LLVM_INSTALL_ROOT \
- QBS_INSTALL_DIR=/usr
+ QBS_INSTALL_DIR=/usr \
+ DEFINES+=QBS_ENABLE_PROJECT_FILE_UPDATES
make
make install INSTALL_ROOT=$PKG
make docs
make install_docs INSTALL_ROOT=$PKG
-if [ "${CODE_MODEL}" == "yes" ]; then
- # Install (bundle) LLVM/Clang components needed for running QTC.
- cd $LLVM_INSTALL_ROOT
- mkdir -p $PKG/usr/libexec/qtcreator/clang/bin
- cp -a bin/clang $PKG/usr/libexec/qtcreator/clang/bin
- cp -a bin/$(readlink bin/clang) $PKG/usr/libexec/qtcreator/clang/bin
- mkdir -p $PKG/usr/lib$LIBDIRSUFFIX/qtcreator
- cp -a lib/libclang.so* $PKG/usr/lib$LIBDIRSUFFIX/qtcreator
- mkdir -p $PKG/usr/libexec/qtcreator/clang/lib/clang
- cp -a lib/clang/* $PKG/usr/libexec/qtcreator/clang/lib/clang
- cd -
-fi
-
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/development/qt-creator/qt-creator.info b/development/qt-creator/qt-creator.info
index c5b3c353f3..563876845d 100644
--- a/development/qt-creator/qt-creator.info
+++ b/development/qt-creator/qt-creator.info
@@ -1,14 +1,10 @@
PRGNAM="qt-creator"
-VERSION="4.3.1"
-HOMEPAGE="http://wiki.qt.io/Qt_Creator"
-DOWNLOAD="https://github.com/qtproject/qt-creator/archive/v4.3.1/qt-creator-4.3.1.tar.gz \
- http://llvm.org/releases/3.9.1/llvm-3.9.1.src.tar.xz \
- http://llvm.org/releases/3.9.1/cfe-3.9.1.src.tar.xz"
-MD5SUM="439246a58a08d7c1e65fa358ae2fb0ef \
- 3259018a7437e157f3642df80f1983ea \
- 45713ec5c417ed9cad614cd283d786a1"
+VERSION="4.6.0"
+HOMEPAGE="https://wiki.qt.io/Qt_Creator"
+DOWNLOAD="https://download.qt.io/official_releases/qtcreator/4.6/4.6.0/qt-creator-opensource-src-4.6.0.tar.gz"
+MD5SUM="2ab3ed282747d0e8010ac93e967d99ab"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="qbs"
-MAINTAINER="Andre Barboza"
-EMAIL="bmg.andre@gmail.com"
+MAINTAINER="Andrzej Telszewski"
+EMAIL="atelszewski@gmail.com"
diff --git a/development/qt-creator/qt-creator.xml b/development/qt-creator/qt-creator.xml
index 000cf46d08..4ab39909e0 100644
--- a/development/qt-creator/qt-creator.xml
+++ b/development/qt-creator/qt-creator.xml
@@ -1,8 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
- <mime-type type="application/x-qt-creator">
- <sub-class-of type="text/plain"/>
- <comment>Qt Creator Project</comment>
- <glob pattern="*.pro"/>
- </mime-type>
+ <mime-type type="application/x-qt-creator">
+ <sub-class-of type="text/plain"/>
+ <comment>Qt Creator Project</comment>
+ <glob pattern="*.pro"/>
+ <glob pattern="*.qbs"/>
+ </mime-type>
</mime-info>
diff --git a/development/qt-creator/slack-desc b/development/qt-creator/slack-desc
index 379c550a14..68ab8b1878 100644
--- a/development/qt-creator/slack-desc
+++ b/development/qt-creator/slack-desc
@@ -8,12 +8,12 @@
|-----handy-ruler------------------------------------------------------|
qt-creator: qt-creator (Cross-Platform Qt IDE)
qt-creator:
-qt-creator: The goal of Qt Creator is to provide a cross-platform, complete
-qt-creator: Integrated Development Environment (IDE) to develop Qt projects.
-qt-creator: It is available for the Linux, Mac OS X and Windows platforms.
-qt-creator:
-qt-creator: Homepage: https://www.qt.io/ide/
-qt-creator:
+qt-creator: Qt Creator is a cross-platform IDE tailored to the needs of
+qt-creator: Qt developers, but is also perfectly usable for non-Qt C/C++
+qt-creator: projects. Qt Creator focuses on providing features that help
+qt-creator: new Qt users get up and running faster, and also boost the
+qt-creator: productivity of experienced Qt developers.
qt-creator:
+qt-creator: Homepage: https://wiki.qt.io/Qt_Creator
qt-creator:
qt-creator: